Subject: Re: bug#24453: Hyper and super keys don't work in some branches

From: Mambo Levis <[email-masked]>
Date: Fri, 23 Sep 2016 13:23:37 +0000 (UTC)

Searching for a solution of the super and hyper keys problem, I found that even though the superis not working as prefix, the use of Shift + s is interpreted as super, for example:
Shift + super + a is interpreted as s-aShift + super + z in interpreted as s-zShift + super + d in interpreted as s-d
and so on... 
Maybe you have experience with something similar. My definitely solutionwill be eliminating the use of super and hyper in my configuration. But I would like tolisten first some final comments/recommendations for you. 
Thanks

    On Friday, September 23, 2016 3:53 AM, Mambo Levis <[email-masked]> wrote:

 Levis>> can you please tell me what is the value of this variable in your emacs? 
C-h v system-configuration-options

Am 21.09.2016 um 21:10 schrieb Eli Zaretskii <[email-masked]>:

>> Date: Wed, 21 Sep 2016 18:43:08 +0000 (UTC)
>> From: Mambo Levis <[email-masked]>
>> Cc: "[email-masked]" <[email-masked]>, 
>>    "[email-masked]" <[email-masked]>
>> 
>> Which probably means you have some local system customizations
>> (outside of Emacs) that affect this.
>> 
>> Levis >>> The point is that super key works if I use the master brach of emacs. For example I am testing 
>> the master branch at this moment: 
>> 
>> Let me first I show you emacs version:
>> GNU Emacs 25.1.50.1 (x86_64-w64-mingw32)
>> 
>> Then the tests:
>> s-a is undefined
>> s-b is undefined
>> s-c in undefined
>> etc
>> All of them work. Why the master work and the official release not? 
> 
> The master branch has some code that hooks the keyboard at a lower
> level, so it is able to intercept these keys.